com.fasterxml.jackson.dataformat.protobuf.schema

## Class FileDescriptorSet.FieldDescriptorProto

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.FieldDescriptorProto

- Enclosing class:
    FileDescriptorSet

      public static class FileDescriptorSet.FieldDescriptorProto
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileDescriptorSet.FieldDescriptorProto.Label`
    `static class` | `FileDescriptorSet.FieldDescriptorProto.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `default_value`
    `String` | `extendee`
    `String` | `json_name`
    `FileDescriptorSet.FieldDescriptorProto.Label` | `label`
    `String` | `name`
    `int` | `number`
    `int` | `oneof_index`
    `FileDescriptorSet.FieldOptions` | `options`
    `FileDescriptorSet.FieldDescriptorProto.Type` | `type`
    `String` | `type_name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDescriptorSet.FieldDescriptorProto()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.squareup.protoparser.DataType` | `getDataType()`
    `com.squareup.protoparser.FieldElement.Label` | `getLabel()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### number

          public int number

    - #### label

          public FileDescriptorSet.FieldDescriptorProto.Label label

    - #### type

          public FileDescriptorSet.FieldDescriptorProto.Type type

    - #### type_name

          public String type_name

    - #### extendee

          public String extendee

    - #### default_value

          public String default_value

    - #### oneof_index

          public int oneof_index

    - #### json_name

          public String json_name

    - #### options

          public FileDescriptorSet.FieldOptions options

  - ### Constructor Detail

    - #### FileDescriptorSet.FieldDescriptorProto

          public FileDescriptorSet.FieldDescriptorProto()

  - ### Method Detail

    - #### getDataType

          public com.squareup.protoparser.DataType getDataType()

    - #### getLabel

          public com.squareup.protoparser.FieldElement.Label getLabel()

Copyright © 2017 FasterXML. All rights reserved.